Bug 1006705 - [abrt] remmina-1.0.0-7.fc19: gdi_set_bounds: Process /usr/bin/remmina was killed by signal 11 (SIGSEGV)
[abrt] remmina-1.0.0-7.fc19: gdi_set_bounds: Process /usr/bin/remmina was kil...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
abrt_hash:61627ba9309669a5358e39c6e2e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 03:11 EDT by tonyp
Modified: 2014-08-18 04:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-18 04:45:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.41 KB, text/plain)
2013-09-11 03:11 EDT, tonyp
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-11 03:11 EDT, tonyp
no flags Details
File: core_backtrace (51.11 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: dso_list (12.64 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: environ (1.21 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: maps (67.24 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: open_fds (3.41 KB, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-09-11 03:12 EDT, tonyp
no flags Details

  None (edit)
Description tonyp 2013-09-11 03:11:52 EDT
Description of problem:
remmina rdp client crashed when trying to connect to a Ubuntu 12.04 XRDP server.  Interestingly connecting to CentOS 6.4 XRDP server doesn't cause remmina rdp client to crash.  Ubuntu 12.04 XRDP server was compiled from source using automated script, instead of package manager.  CentOS XRDP server is provided by yum.  Although the Ubuntu 12.04 XRDP server is compiled from source, many other RDP clients can successfully connect (ubuntu 10.04 + ubuntu 12.04 - rdesktop, windows XP rdp client, Andriod RDP clients, etc).  Not sure if it is a XRDP server setting or version difference between Ubutnu XRDP (from source) or CentOS XRDP, but remmina is not gracefully handling the issue.

Version-Release number of selected component:
remmina-1.0.0-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        remmina
crash_function: gdi_set_bounds
executable:     /usr/bin/remmina
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdi_set_bounds at /usr/src/debug/freerdp-1.0.2/libfreerdp-gdi/gdi.c:446
 #1 update_recv_primary_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:1705
 #2 update_recv_order at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/orders.c:2018
 #3 update_recv_orders at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:45
 #4 update_recv at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/update.c:271
 #5 rdp_recv_data_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:492
 #6 rdp_recv_tpkt_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:722
 #7 rdp_recv_pdu at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:768
 #8 rdp_recv_callback at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/rdp.c:830
 #9 transport_check_fds at /usr/src/debug/freerdp-1.0.2/libfreerdp-core/transport.c:357

Potential duplicate: bug 872873
Comment 1 tonyp 2013-09-11 03:11:55 EDT
Created attachment 796270 [details]
File: backtrace
Comment 2 tonyp 2013-09-11 03:11:58 EDT
Created attachment 796271 [details]
File: cgroup
Comment 3 tonyp 2013-09-11 03:12:00 EDT
Created attachment 796272 [details]
File: core_backtrace
Comment 4 tonyp 2013-09-11 03:12:02 EDT
Created attachment 796273 [details]
File: dso_list
Comment 5 tonyp 2013-09-11 03:12:05 EDT
Created attachment 796274 [details]
File: environ
Comment 6 tonyp 2013-09-11 03:12:07 EDT
Created attachment 796275 [details]
File: exploitable
Comment 7 tonyp 2013-09-11 03:12:10 EDT
Created attachment 796276 [details]
File: limits
Comment 8 tonyp 2013-09-11 03:12:12 EDT
Created attachment 796277 [details]
File: maps
Comment 9 tonyp 2013-09-11 03:12:15 EDT
Created attachment 796278 [details]
File: open_fds
Comment 10 tonyp 2013-09-11 03:12:17 EDT
Created attachment 796279 [details]
File: proc_pid_status
Comment 11 tonyp 2013-09-11 03:12:19 EDT
Created attachment 796280 [details]
File: var_log_messages
Comment 12 Pavel Alexeev 2013-11-04 10:27:24 EST
I hit it several times to connect to native Windows 2008 rdp server.
Comment 13 Christoph Wickert 2014-05-22 07:35:15 EDT
Assigning bug to new package maintainer.
Comment 14 Pavel Alexeev 2014-08-18 04:45:41 EDT
Thank very much bug report and willing make free software better.

As I already use remmina in my day job I really try fix known issues and make it up to date. Unfortunately it is big project which is poorly maintained upstream for long time. In prepare new release of freerdp and remmina we hope it may be changed now. Remmina still have many opened issues some of opened for years. Meantime some of major have trend to resolve (for example not official path to solve clipboard issue https://github.com/FreeRDP/Remmina/issues/280#issuecomment-51663311 already in rawhide).

So have such problems unfortunately became near impossible maintain such fixes in stable Fedora versions.
With help of Simone Caronni we have new version 1.0.0 from git master branch which promise some enhancements as well and based on freerdp 1.1.0 released recently. I can suggest for everyone to try that.

Please reopen if you problem still reproduced on that version.

Note You need to log in before you can comment on or make changes to this bug.